[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFileDialog.FileName

String storing the name of the file chosen by the user as UTF8.

## Declaration

Source position: dialogs.pp line 138

`published property TFileDialog.FileName: String read FFileName write SetFileName;`

## Description

If you need the filename as system encoded, you can use UTF8ToSys from the unit FileUtil.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.